none
SQL Server Data Tools Compatibility Issue (SQL Server 2008/2014 with Client Tools vs Visual Studio 2008/2013/2015) RRS feed

  • Dotaz

  • I currently have the following MS SQL Server Client and Visual Studio applications installed on my PC (Windows 7 Enterprise 64-bit, Service Pack 1) to support SSIS (SQL Server Integration Services) and SSRS (SQL Server Reporting Service) development efforts for the SQL Server 2008 and 2012 environments:

    • SQL Server 2008 Client Tools (with SQL management Studio and SQL Server Business Intelligent Development Studio)
    • Visual Studio 2008 (for SSIS package implementation on SQL Server BI Development Studio)
    • Visual Studio 2013 (for TFS only but no SQL Data Tools installed)
    • Visual Studio 2015 Professional (No SQL Data Tools installed)

    We are currently using BIDS (Microsoft Business Intelligence Development Studio) for Visual Studio 2008 for the SQL Server 2008 SSIS package development and we are also in the process of migrating to the SQL Server 2012 environment. In preparation, I was asked to have SQL Server 2014 with Client Tools installed to my PCs, I then noticed that BIDS failed to work properly and it introduced runtime errors like “Could not load file or assembly 'Microsoft.VisualStudio.Tools.Applications.Core”. As result, I could not even initiate any debugging run in order test out my SSIS script tasks which was written in C#. I had to have SQL Server 2014 with Client Tools removed from my PC in order make this issue going away.

    I would like to confirm if there is any known bug that might have caused BIDS for VS 2008 to fail if SQL Server 2014 with Client Tools gets installed. If so, what is a solution or workaround to this issue?

    I believed that BIDS has been replaced by SSDT-BI (SQL Server Data Tools – Business Intelligence) since Visual Studio 2013 as in a standalone package. With SQL Server 2014 with Client Tools installation requirement, what is my best option to avoid any potential incompatibility issues?

    • Install SSDT-BI for VS 2015 (must be compatible to SQL Server 2008 and 2012 environments)?
    • Install SSDT-BI for VS 2013 (must be compatible to SQL Server 2008 and 2012 environments)?

    Thank you for any valuable suggestions.

    středa 24. srpna 2016 0:53

Všechny reakce

  • Hi Data Solutionist,

    Since the issue is more related to SSDT, I would suggest you post it in SSDT forum for better help.

    If you have any other questions, please let me know.

    Regards,
    Lin
    středa 24. srpna 2016 6:19